# Circle Docs ## Docs - [API Reference Overview](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference.md) - [Get an attestation](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-attestation.md): Retrieves the signed attestation for a USDC burn event on the source chain. - [Get USDC transfer fees](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-burn-usdc-fees.md): Retrieves the applicable fees for a USDC transfer between the specified source and destination domains. The fee is returned in basis points (1 = 0.01%). - [Get USDC Fast Burn allowance](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-fast-burn-usdc-allowance.md): Retrieves the available USDC Fast Transfer allowance remaining. - [Get a list of messages](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-messages.md): Retrieves message and attestation details for CCTP V1 messages. - [Get messages and attestations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-messages-v-2.md): Retrieves messages and attestations for a given transaction hash or nonce, supporting both V1 and V2 messages. Each message for a given transaction hash is ordered by ascending log index. - [List attestation public keys](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-public-keys.md): Retrieves a list of the currently active public keys for verifying attestation signatures. - [Get public keys](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/get-public-keys-v-2.md): Returns the public keys for validating attestations across all supported versions of CCTP. - [Re-attest a V2 pre-finality message](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cctp/all/reattest-message.md): The re-attestation flow allows the relayer to obtain a higher level of finality than was originally requested on the source chain, while still being forced to pay the fee since allowance was reserved. This flow resolves the case where a sender specifies a finality threshold lower than the destinatio… - [Create a CUBIX bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-cubix-account.md) - [Create a deposit address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-deposit-address.md): Generates a new blockchain address for a wallet for a given currency/chain pair. Circle may reuse addresses on blockchains that support reuse. For example, if you're requesting two addresses for depositing USD and ETH, both on Ethereum, you may see the same Ethereum address returned. Depositing cryp… - [Create a payout](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-payout.md): Create a payout. - [Create a PIX bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-pix-account.md) - [Create a recipient address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-recipient-address.md): Stores an external blockchain address. Once added, the recipient address must be verified to ensure that you know and trust each new address. - [Create a transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-transfer.md): A transfer can be made from an existing business account to a blockchain location. - [Create a Wire bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-business-wire-account.md) - [Create a mock Wire payment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/create-mock-wire-payment.md): In the sandbox environment, initiate a mock wire payment that mimics the behavior of funds sent through the bank (wire) account linked to master wallet. - [Delete a recipient address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/delete-business-recipient-address.md): Deletes an external blockchain address. The recipient address must be in an 'active' or 'pending' state in order to be deleted successfully. - [Get a CUBIX bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-cubix-account.md) - [Get a CUBIX bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-cubix-account-instructions.md) - [Get a payout](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-payout.md) - [Get a PIX bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-pix-account.md) - [Get PIX instructions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-pix-account-instructions.md): Get the PIX transfer instructions into the Circle bank account given your bank account id. - [Get a transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-transfer.md) - [Get a Wire bank account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-wire-account.md) - [Get Wire instructions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/get-business-wire-account-instructions.md): Get the wire transfer instructions into the Circle bank account given your bank account id. - [List all balances](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-balances.md): Retrieves the balance of funds that are available for use. - [List all CUBIX bank accounts.](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-cubix-accounts.md) - [List all deposits](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-deposits.md): Searches for deposits sent to your business account. If the date parameters are omitted, returns the most recent deposits. This endpoint returns up to 50 deposits in descending chronological order or pageSize, if provided. - [List all payouts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-payouts.md): Lists all payouts for your account. - [List all PIX bank accounts.](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-pix-accounts.md) - [List all recipient addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-recipient-addresses.md): Returns a list of recipient addresses that have each been verified and are eligible for transfers. Any recipient addresses pending administrator verification are not included in the response. - [List all transfers](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-transfers.md): Searches for transfers from your business account. If the date parameters are omitted, returns the most recent transfers. This endpoint returns up to 50 transfers in descending chronological order or pageSize, if provided. - [List all Wire bank accounts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-business-wire-accounts.md) - [List daily burn fee calculations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/account/list-net-burn-fee-daily-calculations.md): Returns daily burn fee calculations. This endpoint returns up to 50 daily fee calculations in descending chronological order or `pageSize`, if provided. - [Create FX account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/create-fx-account.md): Creates a currency trading account - [Create FX trade](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/create-fx-trade.md): Creates a cross-currency trade - [Create a mock PIX payment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/create-mock-pix-payment.md): Initiates a mock PIX payment in the sandbox environment that mimics the behavior of funds sent through the bank account linked to the main wallet. - [Get daily currency exchange limits](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-daily-fx-limits.md): Returns daily currency exchange limits and usages. - [Get FX trade](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-fx-trade-id.md): Returns an FX trade by ID. - [Get all FX trades](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-fx-trades.md): Returns all cross-currency trades. You can include an optional `settlementId` query parameter to filter the trades to only a specific settlement. - [Get quote](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-quote.md): Fetches an indicative exchange rate between two currencies. Either the from currency or to currency must be USD. Note: The current market exchange rate will be applied when Circle receives the deposit. - [Get settlement](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-settlement-id.md): Returns a settlement by ID. - [Get settlement instructions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-settlement-instructions.md): Returns settlement instructions for a specific currency. - [Get all settlements](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/cross-currency/get-settlements.md): Returns all settlements. - [Create a notification subscription](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/general/create-subscription.md): Subscribe to receiving notifications at a given endpoint. The endpoint should be able to handle AWS SNS subscription requests. For more details see https://docs.aws.amazon.com/mobile/sdkforxamarin/developerguide/sns-send-http.html. Note, the sandbox environment allows a maximum of 3 active subscript… - [Remove a notification subscription](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/general/delete-subscription.md): To remove a subscription, all its subscription requests' statuses must be either 'confirmed', 'deleted' or a combination of those. A subscription with at least one 'pending' subscription request cannot be removed. - [Get configuration info](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/general/get-account-config.md): Retrieves general configuration information. - [List all stablecoins](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/general/list-stablecoins.md): Retrieves total circulating supply for supported stablecoins across all chains. This endpoint is rate limited to one call per minute (based on IP). - [List all notification subscriptions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/general/list-subscriptions.md): Retrieve a list of existing notification subscriptions with details. - [Ping](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/general/ping.md): Checks that the service is running. - [Create a payment intent](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/create-payment-intent.md): Create a transient or continuous payment intent - [Expire a payment intent](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/expire-payment-intent.md) - [Get a payment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/get-payment.md) - [Get a payment intent](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/get-payment-intent.md) - [List all payment intents](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/list-payment-intents.md) - [List all payments](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/list-payments.md) - [Refund a payment intent](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payments/refund-payment-intent.md) - [Create a recipient](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/create-address-book-recipient.md) - [Create a payout](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/create-payout.md): Create a crypto payout. - [Delete a recipient](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/delete-address-book-recipient.md) - [Get a recipient](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/get-address-book-recipient.md) - [Get a payout](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/get-payout.md) - [List all recipients](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/list-address-book-recipients.md) - [List all payouts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/list-payouts.md) - [Modify a recipient](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/payouts/modify-address-book-recipient.md) - [Create daily custody balance report](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/circle-mint/reserve-management/report-daily-custody-balances.md): Creates a daily custody balance report for USDC and EURC and sends it to Circle. - [Create Event Monitor](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/create-event-monitor.md): Create a new event monitor based on the provided blockchain, contract address, and event signature. - [Delete Event Monitor](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/delete-event-monitor.md): Delete an existing event monitor given its ID. - [Deploy a contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/deploy-contract.md): Deploy a smart contract on a specified blockchain using the contract's ABI and bytecode. The deployment will originate from one of your Circle Wallets. - [Deploy a contract from a template](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/deploy-contract-template.md): Deploy a smart contract using a template. - [Estimate a contract deployment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/estimate-contract-deploy.md): Estimate the network fee for deploying a smart contract on a specified blockchain, given the contract bytecode. - [Estimate fee for a contract template deployment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/estimate-contract-template-deploy.md): Estimate the fee required to deploy contract by template. - [Get a contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/get-contract.md): Get a single contract that you've imported or deployed. Retrieved using the contracts ID as opposed to the on-chain address. - [Get Event Monitors](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/get-event-monitors.md): Fetch a list of event monitors, optionally filtered by blockchain, contract address, and event signature. - [Import a contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/import-contract.md): Add an existing smart contract to your library of contracts. It also can be done in the Developer Services Console. - [List contracts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/list-contracts.md): Fetch a list of contracts that you've imported and/or deployed. - [Get Event Logs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/list-event-logs.md): Fetch all event logs, optionally filtered by blockchain and contract address. - [Execute a query function on a contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/query-contract.md): Query the state of a contract by providing the address and blockchain. - [Update a contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/update-contract.md): Update the off-chain properties, such as description, of a contract that you've imported or deployed. Updated using the contracts ID as opposed to the on-chain address. - [Update an Event Monitor](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/contracts/smart-contract-platform/update-event-monitor.md): Update an existing event monitor given its ID. - [Accelerate a stuck transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/accelerate-transaction.md): - Accelerate a transaction based on the payment ID. It should be used when a transaction associated with the payment is broadcasted but not confirmed for a long period of time (i.e 10 minutes). This is usually due to gas fees being too low and not picked up by any miner/validator. - [Create a payment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/create-payment.md): Creates a payment by using the quote created previously and submitting recipient information (travel rule). The payment will remain valid if the onchain settlement occurs before settlementExpireDate. - [Create a quote](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/create-quotes.md): Creates one or more quotes for the given source/destination parameters. Returns quotes sorted in the following order: - [Create a support ticket](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/create-support-ticket.md): Create transaction-related issues (for example, settlement delays, missing information, or refunds). These tickets are stored centrally in the CPN platform and routed to the appropriate party for resolution. - [Create a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/create-transaction.md): Creates an unsigned onchain transaction for a specific payment. - [Get a payment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-payment.md): Returns the PII fields needed to collect to make this payment (i.e. travel rule and beneficiary account data) - [Get payment configurations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-payment-configurations-overview.md): Returns the overview of supported countries, currencies, payment methods, blockchains. - [Get payment requirements for a quote](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-payment-requirements.md): Retrieves the PII fields needed to collect to make this payment (travel rule and beneficiary account data). - [Get details of a quote](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-quote.md): Retrieve details of a specific quote (e.g., re-check expiration, fees). - [Get refund details](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-refund.md): Retrieves the full refund object associated with a specific payment. This can be used by OFIs to reconcile refund status and verify refund completion. - [Get details for an RFI](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-rfi.md): Retrieve details of a specific RFI for a payment. If the BFI initiates an RFI after the payment is created, the OFI will be notified via webhook. This webhook will detail what specific information the OFI needs to send. - [Get a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/get-transaction.md): Retrieves info for a single transaction using it's unique identifier. - [List payments](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/list-payments.md): Returns a list of all payments that fit the specified parameters. - [Get supported payment routes](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/list-routes.md): Returns a list of route details including trade limits. This information can determine what corridors and parameters are valid for subsequent quote creation. - [Submit RFI data](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/submit-rfi.md): Submit encrypted RFI data to complete an RFI request from the BFI. - [Submit a signed transaction for broadcast](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/submit-transaction.md): Return the signed hex string of the transaction, Circle will validate the content and broadcast to the chain. - [Upload RFI file](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/cpn/cpn-platform/upload-rfi-file.md): Upload encrypted RFI file. - [Create a transfer attestation for transferring tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/gateway/all/create-transfer-attestation.md): Generates a transfer attestation and operator signature for transferring tokens between domains - [Get Gateway info for supported domains and tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/gateway/all/get-gateway-info.md): Provides information about the API and details of the supported domains and tokens. - [Get token balances for specified addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/gateway/all/get-token-balances.md): Returns the current available balance of each specified address across different domains - [Get full TransferSpec by transferSpecHash](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/gateway/all/get-transfer-spec.md): Retrieve the full TransferSpec for a given transferSpecHash. - [Retrieve a transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/get-transfer.md): Retrieve an existing transfer. - [Retrieve a user operation](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/get-user-op.md): Retrieve an existing user operation. - [List transfers](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/list-transfers.md): Retrieve a list of transfers that fit the specified parameters. - [List user operations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/list-user-ops.md): Retrieve a list of all user operations that fit the specified parameters. - [Get wallet balances by blockchain and address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/list-wallet-balances-by-blockchain-address.md): Retrieve wallet balances by blockchain and address. - [Get wallet balances](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/list-wallet-balances-by-id.md): Retrieve the balances of a wallet by its ID. - [Get wallet NFTs by blockchain and address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/list-wallet-nf-ts-by-blockchain-address.md): Retrieve the NFTs of a wallet by applicable blockchain and address. - [Get wallet NFTs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/buidl/list-wallet-nf-ts-by-id.md): Retrieve the NFTs of a wallet by its ID. - [Create a notification subscription](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/create-subscription.md): Create a notification subscription by configuring an endpoint to receive notifications. For details, see the [Notification Flows](/wallets/webhook-notification-flows) guide. - [Delete a notification subscription](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/delete-subscription.md): Delete an existing subscription. - [Get a notification signature public key](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/get-notification-signature.md): Get the public key and algorithm used to digitally sign webhook notifications. Verifying the digital signature ensures the notification came from Circle. - [Retrieve a notification subscription](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/get-subscription.md): Retrieve an existing notification subscription. - [Get all notification subscriptions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/get-subscriptions.md): Retrieve an array of existing notification subscriptions. - [Ping](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/ping.md): Checks that the service is running. - [Update a notification subscription](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/common/update-subscription.md): Update subscription endpoint to receive notifications. - [Screen a blockchain address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/compliance/screen-address.md): Create a screening request for a specific blockchain address and chain. - [Accelerate a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-developer-transaction-accelerate.md): Accelerates a specified transaction from a developer-controlled wallet. Additional gas fees may be incurred. - [Cancel a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-developer-transaction-cancel.md): Cancels a specified transaction from a developer-controlled wallet. Gas fees may still be incurred. This is a best-effort operation, it won't be effective if the original transaction has already been processed by the blockchain. - [Create a contract execution transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-developer-transaction-contract-execution.md): Creates a transaction which executes a smart contract. ABI parameters must be passed in the request. Related transactions may be submitted as a batch transaction in a single call. - [Create a transfer transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-developer-transaction-transfer.md): Initiates an on-chain digital asset transfer from a specified developer-controlled wallet. - [Create a wallet upgrade transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-developer-transaction-wallet-upgrade.md): Creates a transaction which upgrades a wallet. - [Estimate fee for a contract execution transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-transaction-estimate-fee.md): Estimates gas fees that will be incurred for a contract execution transaction, given its ABI parameters and blockchain. - [Estimate fee for a transfer transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-transfer-estimate-fee.md): Estimates gas fees that will be incurred for a transfer transaction; given its amount, blockchain, and token. - [Validate an address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-validate-address.md): Confirms that a specified address is valid for a given token on a certain blockchain. - [Create wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-wallet.md): Creates a new developer-controlled wallet or a batch of wallets within a wallet set, given the target blockchain and wallet name. - [Create a new wallet set](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/create-wallet-set.md): Creates a new developer-controlled wallet set. - [Derive a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/derive-wallet.md): Derives an EOA (Externally Owned Account) or SCA (Smart Contract Account) wallet using the address of the specified wallet and blockchain. If the target wallet already exists, its metadata will be updated with the provided metadata. This operation is only supported for EVM-based blockchains. - [Get token details](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-token-id.md): Fetches details of a specific token given its unique identifier. Every token in your network of wallets has a UUID associated with it, regardless of whether it's already recognized or was added as a monitored token. - [Get a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-transaction.md): Retrieves info for a single transaction using it's unique identifier. - [Retrieve a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-wallet.md): Retrieve an existing wallet - [Get a wallet set](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-wallet-set.md): Retrieve an existing wallet set. - [Get all wallet sets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-wallet-sets.md): Retrieve an array of existing wallet sets. - [List wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-wallets.md): Retrieves a list of all wallets that fit the specified parameters. - [List wallets with balances](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/get-wallets-with-balances.md): Retrieves a list of all wallets that match the specified parameters. Wallet balances update automatically after each transfer. - [List transactions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/list-transactions.md): Lists all transactions. Includes details such as status, source/destination, and transaction hash. - [Get token balance for a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/list-wallet-balance.md): Fetches the digital asset balance for a single developer-controlled wallet using its unique identifier. - [Get NFTs for a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/list-wallet-nfts.md): Fetches the info for all NFTs stored in a single developer-controlled wallet, using the wallets unique identifier. - [Sign delegate action](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/sign-delegate-action.md): Sign a delegate action from a specific developer-controlled wallet. - [Sign message](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/sign-message.md): Sign a message from a specified developer-controlled wallet. This endpoint supports message signing for Ethereum-based blockchains (using EIP-191), Solana and Aptos (using Ed25519 signatures). Note that Smart Contract Accounts (SCA) are specific to Ethereum and EVM-compatible chains. The difference… - [Sign transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/sign-transaction.md): Sign a transaction from a specific developer-controlled wallet. - [Sign typed data](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/sign-typed-data.md): Sign the EIP-712 typed structured data from a specified developer-controlled wallet. This endpoint only supports Ethereum and EVM-compatible blockchains. Please note that not all Dapps currently support Smart Contract Accounts (SCA); the difference between Ethereum's EOA and SCA can be found in the… - [Update a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/update-wallet.md): Updates info metadata of a wallet. - [Update a wallet set](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/developer-controlled-wallets/update-wallet-set.md): Update the name of the wallet set - [Set monitored tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/create-monitored-tokens.md): Add a new token to the monitored token list. - [Delete monitored tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/delete-monitored-tokens.md): Delete tokens from the monitored token list. - [Get configuration for entity](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/get-entity-config.md): Get the app ID associated to the entity. - [Get public key for entity](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/get-public-key.md): Get the public key associated with the entity. - [Retrieve existing monitored tokens.](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/list-monitored-tokens.md): Get monitored tokens - [Request testnet tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/request-testnet-tokens.md): Request testnet tokens for your wallet. - [Update monitored tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/update-monitored-tokens.md): Upsert the monitored token list. - [Update monitored tokens scope](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/programmable-wallets/update-monitored-tokens-scope.md): Select between monitoring all tokens or selected tokens added to the monitored tokens list. - [Get a deviceToken to log in with email OTP](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-device-token-email-login.md): Get a deviceToken to login with email OTP in SDK - [Get deviceToken to perform social login](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-device-token-social-login.md): Get deviceToken to perform social login in SDK - [Estimate fee for a contract execution transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-transaction-estimate-fee.md): Estimates gas fees that will be incurred for a contract execution transaction, given its ABI parameters and blockchain. - [Estimate fee for a transfer transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-transfer-estimate-fee.md): Estimates gas fees that will be incurred for a transfer transaction; given its amount, blockchain, and token. - [Create a user](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user.md): Create a user. - [Create a challenge for PIN setup](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-pin-challenge.md): Creates a challenge for PIN setup without setting up the wallets. - [Create a challenge for PIN restore](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-pin-restore-challenge.md): Creates a challenge to restore a user's PIN using security questions. - [Create a Challenge to accelerate a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-transaction-accelerate-challenge.md): Generates a challenge to accelerate a specific transaction from a user-controlled wallet. Additional gas fees may apply. - [Create a challenge to cancel a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-transaction-cancel-challenge.md): Generates a challenge to cancel a specific transaction from a user-controlled wallet. Gas fees may still apply. - [Create a challenge for contract execution](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-transaction-contract-execution-challenge.md): Generates a challenge for creating a transaction which executes a smart contract. ABI parameters must be passed in the request. - [Create a challenge for a transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-transaction-transfer-challenge.md): Generates a challenge for initiating an on-chain digital asset transfer from a specified user-controlled wallet - [Create a challenge for a wallet upgrade](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-transaction-wallet-upgrade-challenge.md): Generates a challenge to create a transaction that upgrades a wallet. - [Create wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-wallet.md): Creates a new developer-controlled wallet or a batch of wallets within a wallet set, given the target blockchain and wallet name. - [Create a challenge for user initialization with wallet creation](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-user-with-pin-challenge.md): Creates a challenge for user initialization and creates one or more wallets. - [Validate an address](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/create-validate-address.md): Confirms that a specified address is valid for a given token on a certain blockchain. - [Get token details](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-token-id.md): Fetches details of a specific token given its unique identifier. Every token in your network of wallets has a UUID associated with it, regardless of whether it's already recognized or was added as a monitored token. - [Get a transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-transaction.md): Retrieves info for a single transaction using it's unique identifier. - [Get a user by ID](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-user.md): Get user by ID. - [Get user](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-user-by-token.md): Retrieve the user by token. - [Get a challenge](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-user-challenge.md): Retrieve a user challenge. - [Create a user token](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-user-token.md): Generate user session and SDK secret key. - [Retrieve a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/get-wallet.md): Retrieves info for a single user-controlled wallet using it's unique identifier. - [List transactions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/list-transactions.md): Lists all transactions. Includes details such as status, source/destination, and transaction hash. - [List challenges](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/list-user-challenges.md): List all challenges by status for a user. - [List users](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/list-users.md): Get all the users under the entity. - [Get token balance for a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/list-wallet-balance.md): Fetches the digital asset balance for a single user-controlled wallet using its unique identifier. - [Get NFTs for a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/list-wallet-nfts.md): Fetches the info for all NFTs stored in a single user-controlled wallet, using the wallets unique identifier. - [List wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/list-wallets.md): Retrieves a list of all user-controlled wallets that fit the specified parameters. - [Get a new userToken with the refreshToken](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/refresh-user-token.md): Get a new userToken with the refreshToken passed over from sdk/performLogin which matches to the current userToken - [Resend an OTP email to the user](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/resend-otp.md): When the users don’t receive the OTP email, you can call this API to resend OTP email. The prior OTP email would expire after the new one is sent out. - [Create a challenge to sign message](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/sign-user-message.md): Generates a challenge for signing a message from a specified user-controlled wallet. This endpoint supports Ethereum-based blockchains (using EIP-191), Solana and Aptos (using Ed25519 signatures). Note that Smart Contract Accounts (SCA) are specific to Ethereum and EVM-compatible chains. The differe… - [Create a challenge to sign transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/sign-user-transaction.md): Generate a challenge for signing the transaction from a specific user-controlled wallet. - [Create a challenge to sign typed data](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/sign-user-typed-data.md): Generates a challenge for signing the EIP-712 typed structured data from a specified user-controlled wallet. This endpoint only supports Ethereum and EVM-compatible blockchains. Please note that not all Dapps currently support Smart Contract Accounts (SCA); the difference between Ethereum's EOA and… - [Create a challenge to update PIN](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/update-user-pin-challenge.md): Creates a challenge to update a user's PIN using the current PIN. - [Update a wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/api-reference/wallets/user-controlled-wallets/update-wallet.md): Updates info for a single user-controlled wallet using it's unique identifier. - [Cross-Chain Transfer Protocol](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp.md): Move USDC securely across blockchains and simplify user experience - [API Reference](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/api.md) - [CCTP FAQ](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/cctp-faq.md): Learn why Circle created CCTP and how it differs from traditional bridging. - [CCTP Supported Chains and Domains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/cctp-supported-blockchains.md) - [CCTP EVM Contracts and Interfaces](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/evm-smart-contracts.md): CCTP smart contracts for EVM-compatible blockchains - [CCTP Block Confirmations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/required-block-confirmations.md): Block confirmation requirements for attestations by chain - [Sample Projects](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/sample-projects.md) - [CCTP Solana Programs and Interfaces](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/solana-programs.md): Programs for CCTP V2 support on the Solana blockchain - [CCTP Technical Guide](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/technical-guide.md): Technical explainer for CCTP V2 - [Transfer USDC on testnet from Ethereum to Avalanche using CCTP V2](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/transfer-usdc-on-testnet-from-ethereum-to-avalanche.md) - [Cross-Chain Transfer Protocol V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1.md): Move USDC securely across blockchains and simplify user experience - [API Reference](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/api.md) - [CCTP Aptos Packages and Interfaces V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/aptos-packages.md): Packages for CCTP V1 support on the Aptos blockchain - [CCTP API Hosts and Endpoints V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/cctp-apis.md): API hosts and endpoints for CCTP V1 - [CCTP Supported Blockchains V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/cctp-supported-blockchains.md) - [CCTP EVM Contracts and Interfaces V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/evm-smart-contracts.md): CCTP V1 smart contracts for EVM-compatible blockchains - [CCTP Message Passing V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/generic-message-passing.md): CCTP V1 architecture on EVM and non-EVM domains - [CCTP Limits V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/limits.md): Limits for CCTP V1 burning and minting - [CCTP Message Format V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/message-format.md): Format arbitrary and application-specific messages using CCTP V1 - [CCTP Noble Cosmos Module V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/noble-cosmos-module.md): Cosmos SDK Module for CCTP V1 support on Noble - [CCTP Block Confirmations V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/required-block-confirmations.md): Block confirmation requirements for attestations by chain - [CCTP Solana Programs and Interfaces V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/solana-programs.md): Programs for CCTP V1 support on the Solana blockchain - [CCTP Sui Packages and Interfaces V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/sui-packages.md): Packages for CCTP V1 support on the Sui blockchain - [CCTP Chain Domains V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/supported-domains.md): Mapping of supported CCTP V1 domains - [Transfer USDC on devnet between Solana and other chains using CCTP V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/transfer-testnet-usdc-between-solana-devnet.md): Explore this tutorial for transferring USDC between Solana devnet and other testnets via CCTP V1 - [Transfer USDC on testnet between Aptos and Base using CCTP V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/transfer-usdc-on-testnet-from-aptos-to-base.md): Explore this tutorial for transferring USDC between Aptos testnet and Base Sepolia Testnet via CCTP V1 - [Transfer USDC on testnet from Ethereum to Avalanche using CCTP V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/transfer-usdc-on-testnet-from-ethereum-to-avalanche.md): Explore this script to transfer USDC on testnet between two EVM-compatible chains via CCTP V1 - [Transfer USDC on testnet between Noble and Ethereum using CCTP V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/transfer-usdc-on-testnet-from-noble-to-ethereum.md): Explore this tutorial for transferring USDC on testnet between Noble via CCTP V1 and Ethereum - [Transfer USDC on testnet between Sui and Ethereum using CCTP V1](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cctp/v1/transfer-usdc-on-testnet-from-sui-to-ethereum.md): Explore this tutorial for transferring USDC between Sui testnet and Ethereum Sepolia Testnet via CCTP V1 - [Idempotent Requests](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/a-note-on-idempotent-requests.md): Ensure that your transactions are executed only once in case they need to be retried. - [API Reference](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/account/list-business-balances.md) - [Additional APIs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/additional-apis.md) - [API Keys](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/api-keys.md): Get the API keys you need to authenticate client requests—and learn how to keep them safe. - [API Logs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/api-logs.md): View API log entries in the Developer Tab to review transactions and debug any errors. - [Authentication](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/authentication.md): Use API keys to authenticate your client requests when utilizing Circle APIs. - [Blockchain Confirmations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/blockchain-confirmations.md): Each time a new block is added to a blockchain, it confirms the previous blocks. - [API Resource Data Models](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/circle-api-resources.md): Discover the many resources used by Circle APIs to enable payouts, payments, and transfers. - [Circle APIs: API and Entity Errors](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/circle-apis-api-errors.md) - [Notifications Quickstart](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/circle-apis-notifications-quickstart.md): Configure a notification subscriber endpoint and be notified when a payment is received. - [Sandbox Environment](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/circle-apis-production-sandbox-environments.md): Learn about Circle’s sandbox environment for safe development and testing. - [Circle SDKs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/circle-sdks.md): Use our SDKs to quickly get your codebase up and running with Circle APIs. - [Quickstart: Crypto Deposits](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/crypto-payments-quickstart.md) - [Send USDC from your Circle Mint Account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/crypto-payouts.md) - [Quickstart: Crypto Refunds](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/crypto-refunds.md) - [Quickstart: Exchange Local Currency for USDC](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/exchange-local-currency-usdc.md) - [Getting Started](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/getting-started-with-the-circle-apis.md): Connect your applications to Circle to use USDC for payments, payouts, and transfers. - [Overview](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/introducing-circle-mint.md): Use Circle Mint to manage funds securely and distribute them seamlessly to crypto wallets around the world, 24/7. - [Notifications Data Models](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/notifications-data-models.md): Learn about the events and data models used in Circle Notifications. - [OpenAPI](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/openapi.md): Use our OpenAPI spec to easily view APIs, create code and mock servers, and more. - [Date Filtering and Pagination Queries](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/pagination-and-filtering.md): Quickly locate any transaction using Circle’s date and pagination query parameters. - [Postman Suite](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/postman.md): Use Circle’s Postman collections to easily send API requests and try out our APIs. - [Quickstart: Deposit via Blockchain Wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/quickstart-deposit-via-blockchain-wallet.md): Learn the basics of sending funds to your Circle account from an external blockchain wallet. - [Quickstart: Deposit via Funds Transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/quickstart-deposit-via-funds-transfer.md): Learn the basics of sending funds to your Circle account from an external bank account. - [Quickstart: Withdraw to Bank](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/quickstart-withdraw-to-bank.md): Learn the basics of sending funds from your Circle account to an external bank account. - [Quickstart: Withdraw via Blockchain Wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/quickstart-withdraw-via-blockchain-wallet.md): Learn the basics of sending funds from your Circle account to an external blockchain wallet. - [Sandbox to Production Transition Guide](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/sandbox-to-production-transition-guide.md): Move your code from sandbox into production so you can take your site live and accept transactions. - [Supported Chains and Currencies](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/supported-chains-and-currencies.md) - [Supported Countries](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/supported-countries.md): Learn which countries support wire transfers for minting and redeeming USDC. - [Quickstart: Swap Between USDC and EURC](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/swap-between-usdc-and-eurc.md) - [Using sandbox to test connectivity and API keys](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/testing-connectivity-and-api-keys.md): Use the Circle sandbox to check your connectivity and verify your API key. - [Onchain Travel Rule](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/travel-rule-on-chain.md): Avoid errors when performing $3000+ transfers by complying with the FinCEN Travel Rule. - [Manage Webhook Subscriptions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/webhook-subscription-management.md): Subscribe to webhook notifications to be notified automatically when a transaction occurs. - [Wire Virtual Account Number](https://circle-devdocs-test-ai-codegen-component.mintlify.app/circle-mint/wire-virtual-account-number.md): Improve customer experience and avoid returned wires when sending funds to Circle. - [Contracts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts.md) - [Airdrop Template](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/airdrop.md) - [Quickstart: Deploy an NFT Smart Contract From a Template](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/deploy-smart-contract-template.md) - [Multi-Token Template](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/erc-1155-multi-token.md) - [Token Template](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/erc-20-token.md) - [NFT Template](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/erc-721-nft.md) - [Quickstart: Deploy a Smart Contract using Bytecode](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/scp-deploy-smart-contract.md) - [Quickstart: Event Monitoring for Smart Contracts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/scp-event-monitoring.md) - [Quickstart: Interact With a Smart Contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/scp-interact-smart-contract.md) - [Templates](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/scp-templates-overview.md): Streamline Smart Contract Development and Empower Applications - [Circle Contracts Supported Blockchains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/contracts/supported-blockchains.md) - [Circle Payments Network](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn.md): Fast, cost-effective, and compliant global payments - [Block Confirmation and Transaction Finality](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/concepts/block-confirmation-and-finality.md) - [CPN Integration Concepts](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/concepts/integration-concepts.md) - [Wallet Nonce Management](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/concepts/wallet-nonce-management.md) - [How-to: Create an Onchain Transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/create-an-onchain-txn.md) - [How-to: Create a Support Ticket](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/create-support-ticket.md) - [How-to: Encrypt Files for RFI Transmission](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/encrypt-files.md) - [How-to: Encrypt Travel Rule and Beneficiary Data](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/encrypt-travel-rule-beneficiary-data.md): Establish encrypted messaging during the payment process - [How-to: Integrate with JSON Schema](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/integrate-with-json-schema.md) - [How-to: Request Payment Configurations and Routes](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/request-payment-config.md) - [How-to: Respond to an RFI](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/respond-to-rfi.md) - [How-to: Set up Webhook Notifications](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/setup-webhook-notifications.md) - [How-to: Verify Webhook Signatures](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/howtos/verify-webhook-signatures.md) - [Quickstart: Integrate with CPN as an OFI](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/quickstarts/integrate-with-cpn-ofi.md) - [API Reference](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/api-reference.md) - [CPN Component States and Workflows](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/component-states-and-workflows.md) - [Error Codes](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/error-codes.md) - [JSON Schema](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/json-schema.md) - [Magic Values for Testing](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/magic-values.md) - [Payment and Transaction Failure Reasons](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/payment-and-transaction-failure-reasons.md) - [Payment Failure Codes](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/payment-failure-codes.md) - [Payment Reason Codes](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/payment-reason-codes.md) - [Payment Reference](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/payment-reference.md) - [RFI Levels](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/rfi-levels.md) - [Supported Blockchains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/supported-blockchains.md) - [Travel Rule Requirements](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/travel-rule-requirements.md) - [Validating Brazilian Tax ID and Bank Account Numbers](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/validating-brazil-tax-account-id.md) - [Wallet Provider Compatibility](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/wallet-provider-compatibility.md) - [Webhook Events](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/webhook-events.md) - [Webhook Retries](https://circle-devdocs-test-ai-codegen-component.mintlify.app/cpn/references/webhook-retries.md) - [Circle Gateway Overview](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway.md): A unified USDC balance instantly accessible crosschain - [API Reference](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/api.md) - [Gateway FAQ](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/concepts/faq.md): Learn why Circle created Gateway and how it differs from CCTP - [Gateway Technical Guide](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/concepts/technical-guide.md) - [How-to: Create a Unified USDC Balance](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/howtos/create-unified-usdc-balance.md) - [How-to: Transfer a Unified USDC Balance Instantly](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/howtos/transfer-unified-usdc-balance.md) - [Quickstart: Create and Transfer a Unified USDC Balance](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/quickstarts/unified-balance.md) - [Gateway Smart Contract Addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/references/contract-addresses.md) - [Gateway Contract Interfaces and Events](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/references/contract-interfaces-and-events.md): Learn about the Circle Gateway smart contracts - [Gateway Fees](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/references/fees.md) - [Gateway Supported Blockchains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/gateway/references/supported-blockchains.md) - [Paymaster Overview](https://circle-devdocs-test-ai-codegen-component.mintlify.app/paymaster.md): Pay gas fees with USDC - [Paymaster Addresses and Events](https://circle-devdocs-test-ai-codegen-component.mintlify.app/paymaster/addresses-and-events.md) - [Quickstart: Circle Paymaster](https://circle-devdocs-test-ai-codegen-component.mintlify.app/paymaster/pay-gas-fees-usdc.md): Build a smart wallet that pays fees in USDC - [Release Notes](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes.md): Release notes for Circle's developer products. - [Release Notes - Circle Mint - 2024](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/circle-mint-2024.md): 2024 release notes for Circle Mint. - [Release Notes - Circle Mint - 2025](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/circle-mint-2025.md): 2025 release notes for Circle Mint. - [Release Notes - Circle Payments Network - 2025](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/cpn-2025.md): 2025 release notes for Circle Payments Network. - [Release Notes - Stablecoins - 2024](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/stablecoins-2024.md): 2024 release notes for Stablecoins. - [Release Notes - Stablecoins - 2025](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/stablecoins-2025.md): 2025 release notes for Stablecoins. - [Release Notes - Tokenized Funds - 2025](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/tokenized-funds-2025.md): 2025 release notes for Tokenized Funds. - [Release Notes - Developer Services - 2024](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/w3s-2024.md): 2024 release notes for Circle's Developer Services platform. - [Release Notes - Developer Services - 2025](https://circle-devdocs-test-ai-codegen-component.mintlify.app/release-notes/w3s-2025.md): 2025 release notes for Circle's Developer Services platform. - [EURC Contract Addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/eurc-contract-addresses.md) - [Glossary](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/glossary.md): Definitions of common terms used within the crypto and digital asset industry - [Quickstart: Set up and transfer USDC on Aptos](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-aptos.md) - [Quickstart: Set up and transfer USDC on HyperEVM](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-hyperevm.md) - [Quickstart: Set up and transfer USDC on Ink](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-ink.md) - [Quickstart: Set up and transfer USDC on Plume](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-plume.md) - [Quickstart: Set up and transfer USDC on Sei](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-sei.md) - [Quickstart: Set up and transfer USDC on Sonic](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-sonic.md) - [Quickstart: Set up and transfer USDC on Sui](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-sui.md) - [Quickstart: Set up and transfer USDC on XDC](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-transfer-usdc-xdc.md) - [Quickstart: Set up a USDC trustline on XRPL](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-setup-usdc-trustline-xrpl.md) - [Quickstart: Set up and transfer EURC on EVM chains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-transfer-10-eurc-on-chain.md) - [Quickstart: Set up and transfer USDC on EVM chains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-transfer-10-usdc-on-chain.md) - [Quickstart: Set up and transfer USDC on Solana](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/quickstart-transfer-10-usdc-on-solana.md) - [USDC Contract Addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/usdc-contract-addresses.md) - [What is EURC?](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/what-is-eurc.md) - [What is USDC?](https://circle-devdocs-test-ai-codegen-component.mintlify.app/stablecoins/what-is-usdc.md) - [USYC Overview](https://circle-devdocs-test-ai-codegen-component.mintlify.app/tokenized/usyc/overview.md) - [Smart Contract Addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/tokenized/usyc/smart-contracts.md) - [Quickstart: Subscribe and Redeem USYC](https://circle-devdocs-test-ai-codegen-component.mintlify.app/tokenized/usyc/subscribe-and-redeem.md) - [Web2 API Endpoints](https://circle-devdocs-test-ai-codegen-component.mintlify.app/tokenized/usyc/web2-apis.md) - [Transaction States and Errors](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/asynchronous-states-and-statuses.md) - [Supported Blockchains and APIs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/blockchain-compatibility-for-circle-apis.md) - [Blockchain Confirmations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/blockchain-confirmations.md) - [Circle Developer Account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/circle-developer-account.md) - [Compliance Requirements](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/compliance-requirements.md): Learn about the compliance requirements you must adhere to. - [Developer Account Logs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/developer-account-logs.md) - [Testnet Faucets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/developer-console-faucet.md) - [Idempotent Requests](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/idempotent-requests.md) - [Manage Team Members](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/manage-team-members.md): Use the Developer Console to add, remove, and update team members - [Postman API Suite](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/postman.md) - [Developer Services Glossary](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/programmable-wallets-primitives.md) - [Testnet (Sandbox) vs. Mainnet (Production)](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/sandbox-vs-production.md) - [Chain IDs for Signing Transactions](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/sign-tx-chain-id.md) - [Supported Blockchains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/supported-blockchains-and-currencies.md) - [HTTP Errors](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/synchronous-errors.md): Learn about error format and common errors encountered using the Circle platform. - [API Keys and Client Keys](https://circle-devdocs-test-ai-codegen-component.mintlify.app/w3s/web3-services-api-client-keys-auth.md) - [Wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets.md) - [Account Types](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/account-types.md) - [Wallets API Rate Limits](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/api-rate-limits.md) - [Batch Operations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/batch-operations.md): Submit multiple user operations as a batch - [Blockchain Infrastructure](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/blockchain-infrastructure.md) - [Compliance Engine](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/compliance-engine.md) - [Transaction Screening](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/compliance-engine/tx-screening.md) - [Alert Management](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/compliance-engine/tx-screening-alert-management.md) - [Quickstart: Assess the Risk of Wallet Addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/compliance-engine/tx-screening-quickstart.md) - [Rule Management](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/compliance-engine/tx-screening-rule-management.md) - [Testing Guide](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/compliance-engine/tx-screening-testing.md) - [Wallets: Dev-Controlled](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled.md) - [Create Your First Developer-Controlled Wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled/create-your-first-wallet.md): Create two developer-controlled wallets and send tokens between them. - [Entity Secret Management](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled/entity-secret-management.md) - [Onboard Users to Developer-Controlled Wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled/onboard-users.md): Streamline user onboarding for developer-controlled wallets - [Receive an Inbound Transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled/receive-an-inbound-transfer.md): Initiate a currency transfer into a developer-controlled wallet you've already created. - [Register Your Entity Secret](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled/register-entity-secret.md): Learn to create an Entity Secret and register its ciphertext to enable developer-wallet functionality. - [Transfer Tokens from Wallet to Wallet](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/dev-controlled/transfer-tokens-across-wallets.md): Transfer tokens across two developer-controlled wallets you've already created. - [Gas Fees](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/gas-fees.md) - [Gas Station](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/gas-station.md) - [Billing for Sponsored Gas Fees](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/gas-station/billing.md) - [Gas Station Contract Addresses](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/gas-station/contract-addresses.md) - [Policy Management](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/gas-station/policy-management.md) - [Send a Gasless Transaction](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/gas-station/send-a-gasless-transaction.md) - [Choosing your wallet type](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/infrastructure-models.md) - [Key Management](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/key-management.md) - [Wallets: Modular](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular.md) - [Modular Wallets Android SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/android-sdk.md) - [Modular Wallets Console Setup](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/console-setup.md) - [Modular Wallets Quickstart](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/create-a-wallet-and-send-gasless-txn.md) - [Dynamic Integration Tutorial](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/dynamic-integration.md) - [Modular Wallets iOS SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/ios-sdk.md) - [Key Features](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/key-features.md) - [Modules](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/modules.md) - [Passkey](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/passkeys.md) - [How To Set Up Passkey Recovery](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/recover-passkey.md) - [Modular Wallets Web SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/modular/web-sdk.md) - [Monitored Tokens](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/monitored-tokens.md) - [Sign Transactions on EVM chains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/sign-tx-evm.md): Learn how to create EVM wallets, build transactions, and sign them with our server-side SDK. - [Sign Transactions on NEAR](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/sign-tx-near.md): Learn how to create NEAR wallets, build transactions, and sign them with our server-side SDK. - [Sign Transactions on Solana](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/sign-tx-solana.md): Learn how to build transactions and sign them with our server-side SDK. - [Signing APIs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/signing-apis.md): You can use Circle's API platform's signing APIs on blockchains where Wallets do not have full blockchain infrastructure support. - [Supported Blockchains and APIs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/supported-blockchains.md) - [Transaction Rate Limits and Optimizations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/transaction-limits-and-optimizations.md) - [Unified Wallet Addressing on EVM Chains](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/unified-wallet-addressing-evm.md): Support same address wallets across multiple EVM chains. - [Wallets: User-Controlled](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled.md) - [Android Mobile SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/android-sdk.md): Set up the client-side Android SDK for user-controlled wallets in your mobile application. - [Android SDK UI Customization API](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/android-sdk-ui-customization-api.md): Android SDK UI and key mapping reference for customizations. - [Authentication Methods](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/authentication-methods.md): Authenticate your users using social login, email, or PIN - [Confirmation UIs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/confirmation-uis.md) - [Create Your First Wallet with Email](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/create-your-first-wallet-with-email.md): Use API requests and Circle’s sample app to create a user-controlled wallet with email OTP - [Create Your First User-Controlled Wallet with PIN](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/create-your-first-wallet-with-pin.md) - [Create Your First Wallet with Social Logins](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/create-your-first-wallet-with-social-logins.md): Use API requests and Circle's sample app to create a user-controlled wallet with social logins - [Initiate a Signature Request](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/initiate-a-signature-request.md): Learn how to initiate a signature request from a user-controlled wallet with social logins or email authentication - [iOS Mobile SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/ios-sdk.md): Set up the client-side iOS SDK for user-controlled wallets in your mobile application. - [iOS SDK UI Customization API](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/ios-sdk-ui-customization-api.md): iOS SDK UI and key mapping reference for customizations. - [React Native Mobile SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/react-native-sdk.md): Set up the client-side React Native SDK for user-controlled wallets in your mobile application. - [React Native SDK UI Customization API](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/react-native-sdk-ui-customization-api.md): React Native SDK UI and key mapping reference for customizations. - [Receive an Inbound Transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/receive-inbound-transfer.md): Initiate a currency transfer into a user-controlled wallet you've already created. - [Recover an Account](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/recover-account.md): Help users regain access to their accounts when they forget their PIN code. - [Reset Account Pin Code](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/reset-account-pin.md): Walk a user through the steps in resetting a known account PIN code. - [SDK Architecture for User-Controlled Wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/sdk-architecture.md): Learn the role of SDKs in enabling User-Controlled Wallets - [User-Controlled Wallets SDKs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/sdks.md) - [Send an Outbound Transfer or Execute Contract](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/send-an-outbound-transfer-or-execute-contract.md): Learn how to send USDC or execute a contract from a user-controlled wallet with social logins or email authentication - [Send an Outbound Transfer](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/send-outbound-transfer.md): Learn how to send USDC from a user-controlled wallet you’ve already created. - [Web SDK](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/web-sdk.md): Set up the client-side web SDK for user-controlled wallets in your web application. - [Web SDK UI Customizations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/user-controlled/web-sdk-ui-customizations.md) - [Wallet Upgrades](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/wallet-upgrades.md) - [Circle Wallets on Solana](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/wallets-on-solana.md): Overview for developers - [Webhooks Logs](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/webhook-logs.md) - [Webhooks Flows](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/webhook-notification-flows.md) - [Webhooks Quickstart](https://circle-devdocs-test-ai-codegen-component.mintlify.app/wallets/webhook-notifications.md) ## OpenAPI Specs - [user-controlled-wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/user-controlled-wallets.yaml) - [usdc-access](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/usdc-access.yaml) - [smart-contract-platform](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/smart-contract-platform.yaml) - [gateway](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/gateway.yaml) - [developer-controlled-wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/developer-controlled-wallets.yaml) - [cpn-ofi](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/cpn-ofi.yaml) - [configurations](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/configurations.yaml) - [compliance](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/compliance.yaml) - [circle-apis](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/circle-apis.yaml) - [cctp](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/cctp.yaml) - [buidl-wallets](https://circle-devdocs-test-ai-codegen-component.mintlify.app/openapi/buidl-wallets.yaml)